Name:           perl-Parse-CPAN-Packages
Version:        2.25
Release:        2%{?dist}
Summary:        Parse::CPAN::Packages - Parse 02packages.details.txt.gz
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-CPAN-Packages/
Source0:        http://www.cpan.org/modules/by-module/Parse/Parse-CPAN-Packages-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Sort::Versions)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful
collection of Perl code. It has several indices of the files that it
hosts, including a file named "02packages.details.txt.gz" in the
"modules" directory. This file contains lots of useful information and
this module provides a simple interface to the data contained within.

%prep
%setup -q -n Parse-CPAN-Packages-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README COPYING Artistic
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 01 2006 Steven Pritchard <steve@kspei.com> 2.25-2
- Drop explicit Requires (except perl(Class::Accessor::Fast), which isn't
  picked up automatically).

* Mon Sep 19 2005 Steven Pritchard <steve@kspei.com> 2.25-1
- Specfile autogenerated.
